Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## transformation.su_transformationplugin
Class SU_Transformation

    java.lang.Object
      DefaultDiagramAction
          transformation.su_transformationplugin.SU_Transformation

    public class SU_Transformation

extends DefaultDiagramAction

Constructor Summary
`SU_Transformation()` Creates action with name "SecureUML -> UMLsec Transformation" in the diagram context menu

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Describes the actions that follow clicking the menu item in the diagram context menu.
`void` | `createTagComment(java.util.List<AssociationTag> tags, java.util.List<java.lang.String> resources)` This method stores the association tags in a non-visible comment so that the information would be available when the plug-in is not running.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SU_Transformation

    public SU_Transformation()

  Creates action with name "SecureUML -> UMLsec Transformation" in the diagram context menu

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Describes the actions that follow clicking the menu item in the diagram context menu.

### createTagComment

    public void createTagComment(java.util.List<AssociationTag> tags,
                                 java.util.List<java.lang.String> resources)

  This method stores the association tags in a non-visible comment so that the information would be available when the plug-in is not running.

  Parameters:
    `tags` - List containing references to association tags
    `resources` - List containing the names of protected resources

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD